Package org.apache.wiki.pages.haddock

# Class ViewWikiPage

java.lang.Object
org.apache.wiki.pages.haddock.ViewWikiPage

All Implemented Interfaces:
  `HaddockPage`, `Page`

public class ViewWikiPage extends Object implements HaddockPage
Actions available on the View page.

## Constructor Summary

Constructors
Constructor
Description
`ViewWikiPage()`

## Method Summary

Modifier and Type
Method
Description
`String`
`authenticatedText()`
Returns the authenticated user text.
`LoginPage`
`clickOnLogin()`
Clicks on the login button.
`ViewWikiPage`
`clickOnLogout()`
Logs the user out.
`ViewWikiPage`
`clickOnShowReaderView()`
Clicks on the show reader view link.
`EditWikiPage`
`editPage()`
Clicks the edit link.
`ViewWikiPage`
`hoverLoginArea()`
Hover's the user's icon, so the login area gets visible.
`ViewWikiPage`
`hoverMoreArea()`
Hover's the More tab, making its associated pane visible.
`ViewWikiPage`
`navigateTo(String wikiPageName)`
Navigates to a given view page.
`static ViewWikiPage`
`open(String pageName)`
Open a given page for view.
`SearchResultsPage`
`searchFor(String text)`
Searches for a given text.
`com.codeborne.selenide.SelenideElement`
`sidebar()`
Returns the sidebar element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.pages.haddock.HaddockPage

`wikiPageContent, wikiTitle`

### Methods inherited from interface org.apache.wiki.pages.Page

`title, url`

## Constructor Details

### ViewWikiPage

public ViewWikiPage()

## Method Details

### open

public static ViewWikiPage open(String pageName)
Open a given page for view.

Parameters:
  `pageName` - Wiki page name to View.
Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### authenticatedText

public String authenticatedText()
Returns the authenticated user text.

Returns:
  the authenticated user text.

### clickOnLogin

public LoginPage clickOnLogin()
Clicks on the login button.

Returns:
  `LoginPage` instance, to allow chaining of actions.

### clickOnShowReaderView

public ViewWikiPage clickOnShowReaderView()
Clicks on the show reader view link.

Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### hoverLoginArea

public ViewWikiPage hoverLoginArea()
Hover's the user's icon, so the login area gets visible.

Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### hoverMoreArea

public ViewWikiPage hoverMoreArea()
Hover's the More tab, making its associated pane visible.

Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### editPage

public EditWikiPage editPage()
Clicks the edit link.

Returns:
  `EditWikiPage` instance, to allow chaining of actions.

### searchFor

public SearchResultsPage searchFor(String text)
Searches for a given text.

Parameters:
  `text` - text to search for.
Returns:
  `SearchResultsPage` instance, to allow chaining of actions.

### clickOnLogout

public ViewWikiPage clickOnLogout()
Logs the user out.

Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### navigateTo

public ViewWikiPage navigateTo(String wikiPageName)
Navigates to a given view page.

Parameters:
  `wikiPageName` - wikipage name to navigate to.
Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### sidebar

public com.codeborne.selenide.SelenideElement sidebar()
Returns the sidebar element.

Returns:
  the sidebar element.